Name:           perl-App-AutoCRUD
Version:        0.11
Release:        1%{?dist}
Summary:        Plack application for browsing and editing databases
License:        Artistic 2.0
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/App-AutoCRUD/
Source0:        file:///home/dave/mirrors/minicpan//authors/id/D/DA/DAMI/App-AutoCRUD-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.01
BuildRequires:  perl(Alien::GvaScript) >= 1.43
BuildRequires:  perl(Archive::Zip)
BuildRequires:  perl(Carp)
BuildRequires:  perl(CGI::Expand)
BuildRequires:  perl(Clone)
BuildRequires:  perl(Cwd)
BuildRequires:  perl(Data::Domain)
BuildRequires:  perl(Data::Dumper)
BuildRequires:  perl(DBD::SQLite) >= 1.39
BuildRequires:  perl(DBI)
BuildRequires:  perl(DBIx::DataModel) >= 2.42
BuildRequires:  perl(Encode)
BuildRequires:  perl(Excel::Writer::XLSX)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(HTTP::Date)
BuildRequires:  perl(JSON::MaybeXS)
BuildRequires:  perl(List::MoreUtils)
BuildRequires:  perl(Moose)
BuildRequires:  perl(MooseX::NonMoose)
BuildRequires:  perl(MooseX::SemiAffordanceAccessor)
BuildRequires:  perl(namespace::clean)
BuildRequires:  perl(parent)
BuildRequires:  perl(Path::Tiny)
BuildRequires:  perl(Plack)
BuildRequires:  perl(Scalar::Does)
BuildRequires:  perl(Scalar::Util)
BuildRequires:  perl(SQL::Abstract::FromQuery) >= 0.1
BuildRequires:  perl(SQL::Abstract::More) >= 1.27
BuildRequires:  perl(Template)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Time::HiRes)
BuildRequires:  perl(Try::Tiny)
BuildRequires:  perl(URI)
BuildRequires:  perl(URI::Escape)
BuildRequires:  perl(XML::Simple)
BuildRequires:  perl(YAML::Any)
Requires:       perl(Alien::GvaScript) >= 1.43
Requires:       perl(Archive::Zip)
Requires:       perl(Carp)
Requires:       perl(CGI::Expand)
Requires:       perl(Clone)
Requires:       perl(Cwd)
Requires:       perl(Data::Domain)
Requires:       perl(Data::Dumper)
Requires:       perl(DBI)
Requires:       perl(DBIx::DataModel) >= 2.42
Requires:       perl(Encode)
Requires:       perl(Excel::Writer::XLSX)
Requires:       perl(HTTP::Date)
Requires:       perl(JSON::MaybeXS)
Requires:       perl(List::MoreUtils)
Requires:       perl(Moose)
Requires:       perl(MooseX::NonMoose)
Requires:       perl(MooseX::SemiAffordanceAccessor)
Requires:       perl(namespace::clean)
Requires:       perl(parent)
Requires:       perl(Path::Tiny)
Requires:       perl(Plack)
Requires:       perl(Scalar::Does)
Requires:       perl(Scalar::Util)
Requires:       perl(SQL::Abstract::FromQuery) >= 0.1
Requires:       perl(SQL::Abstract::More) >= 1.27
Requires:       perl(Template)
Requires:       perl(Time::HiRes)
Requires:       perl(Try::Tiny)
Requires:       perl(URI)
Requires:       perl(URI::Escape)
Requires:       perl(XML::Simple)
Requires:       perl(YAML::Any)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
This module embodies a web application for Creating, Retrieving, Updating
and Deleting records in relational databases (hence the 'CRUD' acronym).
The 'Auto' part of the name is because the application automatically
generates and immediately uses the components needed to work with your data
-- you don't have to edit scaffolding code. The 'Plack' part of the name
comes from the Plack middleware framework used to implement this
application.

%prep
%setup -q -n App-AutoCRUD-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes LICENSE README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Tue Jul 28 2015 Dave Cross <dave@mag-sol.com> 0.11-1
- Specfile autogenerated by cpanspec 1.78.
